LPCOpen Platform for LPC18XX/43XX microcontrollers: K9F1G_ID_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
K9F1G_ID_T Struct Reference
BOARD: K9F1G NAND Flash drivers

## Detailed Description

Definition at line 75 of file lpc_nandflash_k9f1g.h.

`#include "lpc_nandflash_k9f1g.h"`

## Data Fields
uint8_t | MarkerCode
uint8_t | DeviceCode
struct {
uint8_t InternalChipNum: 2
uint8_t CellType: 2
uint8_t MaxProgramPageNum: 2
uint8_t InterProgSupport: 1
uint8_t CacheProgSupport: 1
} | b3
struct {
uint8_t PageSize: 2
uint8_t BlockSize: 2
uint8_t RedundantSize: 1
uint8_t Organization: 1
uint8_t SeriaAccessMin: 2
} | b4
struct {
uint8_t Reserved0: 2
uint8_t PlaneNum: 2
uint8_t PlaneSize: 3
uint8_t Reserved1: 1
} | b5

## Field Documentation

struct { ... } b3

struct { ... } b4

struct { ... } b5

uint8_t BlockSize

Page Sizer. 0: 1KB, 1:2KB, 2:4KB, 3:8KB

Definition at line 88 of file lpc_nandflash_k9f1g.h.

uint8_t CacheProgSupport

Interleave Program Between multiple chips. 0: Not Support, 1: Support

Definition at line 83 of file lpc_nandflash_k9f1g.h.

uint8_t CellType

Internal Chip Number. 0: 1, 1:2, 2:4, 3:8

Definition at line 80 of file lpc_nandflash_k9f1g.h.

uint8_t DeviceCode

Definition at line 77 of file lpc_nandflash_k9f1g.h.

uint8_t InternalChipNum

Definition at line 79 of file lpc_nandflash_k9f1g.h.

uint8_t InterProgSupport

Number of Simultaneously Programmed Pages. 0: 1, 1:2, 2:4, 3:8

Definition at line 82 of file lpc_nandflash_k9f1g.h.

uint8_t MarkerCode

Definition at line 76 of file lpc_nandflash_k9f1g.h.

uint8_t MaxProgramPageNum

Cell Type. 0: 2 Level Cell, 1: 4 Level Cell, 2: 8 Level Cell, 3: 16 Level Cell

Definition at line 81 of file lpc_nandflash_k9f1g.h.

uint8_t Organization

Redundant Area Size ( byte/512byte). 0: 8, 1: 16

Definition at line 90 of file lpc_nandflash_k9f1g.h.

uint8_t PageSize

Definition at line 87 of file lpc_nandflash_k9f1g.h.

uint8_t PlaneNum

Reserved

Definition at line 96 of file lpc_nandflash_k9f1g.h.

uint8_t PlaneSize

Plane Number. 0: 1, 1:2, 2:4, 3:8

Definition at line 97 of file lpc_nandflash_k9f1g.h.

uint8_t RedundantSize

Block Sizer. 0: 64KB, 1:128KB, 2:256KB, 3:512KB

Definition at line 89 of file lpc_nandflash_k9f1g.h.

uint8_t Reserved0

Definition at line 95 of file lpc_nandflash_k9f1g.h.

uint8_t Reserved1

Plane Size. Size = 64KB << PlaneSize value

Definition at line 98 of file lpc_nandflash_k9f1g.h.

uint8_t SeriaAccessMin

Organization. 0: x8, 1: x16

Definition at line 91 of file lpc_nandflash_k9f1g.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_board/board_common/lpc_nandflash_k9f1g.h